# Examples and researches

## Scientific papers

### Understanding the complex interplay of persistent and antipersistent regimes in animal movement trajectories as a prominent characteristic of their behavioral pattern profiles: Towards an automated and robust model based quantification of anxiety test data

[![DOI:10.1016/j.bspc.2022.104409](https://zenodo.org/badge/DOI/10.1016/j.bspc.2022.104409.svg)](https://doi.org/10.1016/j.bspc.2022.104409)
[![Citation Badge](https://api.juleskreuer.eu/citation-badge.php?doi=10.1016/j.bspc.2022.104409)](https://juleskreuer.eu/projekte/citation-badge/)

Paper: Bogachev, M.I., Lyanova, A.I., Sinitca, A.M., Pyko, S.A., Pyko, N.S., Kuzmenko, A.V., Romanov, S.A., Brikova, O.I., Tsygankova, M., Ivkin, D.Y. and Okovityi, S.V., 2023. Understanding the complex interplay of persistent and antipersistent regimes in animal movement trajectories as a prominent characteristic of their behavioral pattern profiles: Towards an automated and robust model based quantification of anxiety test data. Biomedical signal processing and control, 81, p.104409. <https://doi.org/10.1016/j.bspc.2022.104409>

### [Video-based marker-free tracking and multi-scale analysis of mouse locomotor activity and behavioral aspects in an open field arena: A perspective approach to the quantification of complex gait disturbances associated with Alzheimer's disease](./Video-based_marker-free_tracking_and_multi-scale_analysis.ipynb)

[![DOI:10.3389/fninf.2023.1101112](https://zenodo.org/badge/DOI/10.3389/fninf.2023.1101112.svg)](https://doi.org/10.3389/fninf.2023.1101112)
[![Citation Badge](https://api.juleskreuer.eu/citation-badge.php?doi=10.3389/fninf.2023.1101112)](https://juleskreuer.eu/projekte/citation-badge/)

Example of DPPCA usage for statistical comparision of mouse locomotor activity and behavioral aspects in an open field arena.

Paper: Bogachev, M., Sinitca, A., Grigarevichius, K., Pyko, N., Lyanova, A., Tsygankova, M., Davletshin, E., Petrov, K., Ageeva, T., Pyko, S. and Kaplun, D., 2023. Video-based marker-free tracking and multi-scale analysis of mouse locomotor activity and behavioral aspects in an open field arena: a perspective approach to the quantification of complex gait disturbances associated with Alzheimer's disease. Frontiers in Neuroinformatics, 17, p.1101112. <https://doi.org/10.3389/fninf.2023.1101112>

## Kaggle Pipelines

### [DPCCA-based Analysis of Air Quality Data](https://www.kaggle.com/code/user164919/dpcca-based-analysis-of-air-quality-data)

Preliminary analysis of Air Quality Data based on the publicitly available [dataset](https://www.kaggle.com/datasets/khushikyad001/air-quality-data).

### [DPCCA-based Analysis of Residential power usage](https://www.kaggle.com/code/user164919/dpcca-based-analysis-of-residential-power-usage)

Preliminary analysis of Residential power usage based on the publicitly available [dataset](https://www.kaggle.com/datasets/srinuti/residential-power-usage-3years-data-timeseries).
